

import SwiftUI

func 上升(高点: String ,低点: String) -> (String, String,String,String) {
    let h = (Double(高点) ?? 0)
    let l = (Double(低点) ?? 0)
    
    let 正常回调系数 = sqrt(h / l)
    let 强势回调系数 = sqrt(正常回调系数)
    let 极限回调系数 = 正常回调系数 + 强势回调系数 - 1
    
    let 关注点1 = h / 强势回调系数
    let 关注点2 = (h + l)/2
    let 关注点3 = h / 正常回调系数
    let 关注点4 = h / 极限回调系数
    
    return (String (format: "%.2f", 关注点1), String (format: "%.2f", 关注点2), String (format: "%.2f", 关注点3), String (format: "%.2f", 关注点4))
}

func 下跌(高点: String ,低点: String) -> (String, String,String,String) {
    let h = (Double(高点) ?? 0)
    let l = (Double(低点) ?? 0)
    
    let 正常回调系数 = sqrt(l / h)
    let 强势回调系数 = sqrt(正常回调系数)
    let 极限回调系数 = 正常回调系数 + 强势回调系数 - 1
    
    let 关注点1 = l / 强势回调系数
    let 关注点2 = (h + l)/2
    let 关注点3 = l / 正常回调系数
    let 关注点4 = l / 极限回调系数
    
    return (String (format: "%.2f", 关注点1), String (format: "%.2f", 关注点2), String (format: "%.2f", 关注点3), String (format: "%.2f", 关注点4))
}
